> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/guides/mobile-emv/generate-json-web-token.md).

# Generate JSON Web Token

To generate a JSON Web Token (JWT) for manual card entry:

{% stepper %}
{% step %}
Add an object to implement the `ManualEntry` interface.
{% endstep %}

{% step %}
Add the `HasManualTokenizingSupport` interface.

The `HasManualTokenizingSupport` interface includes following methods:

{% code lineNumbers="true" %}

```javascript
//Returns a successful JSON Web Token.
void successfulTransactionToken(TransactionToken transactionToken);
//Handle errors related to the card.
void handleCardProcessingResponse(CardProcessingResponse cardProcessingResponse);
//Handle errors related to the manual entry request.
void handleManualEntryError(String message);
```

{% endcode %}
{% endstep %}

{% step %}
Add the `ManualCardTokenizer` object.

{% code lineNumbers="true" %}

```javascript
manualCardTokenizer = new ManualCardTokenizerImpl(this);
```

{% endcode %}
{% endstep %}

{% step %}
Add the `createTransactionToken` method call and include your card object.

{% code lineNumbers="true" %}

```javascript
manualCardTokenizer.createTransactionToken(manualEntry);
```

{% endcode %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/guides/mobile-emv/generate-json-web-token.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
